[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[SECURITY] Fedora 9 Update: glib2-2.16.6-3.fc9



--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2009-2688
2009-03-13 18:04:34
--------------------------------------------------------------------------------

Name        : glib2
Product     : Fedora 9
Version     : 2.16.6
Release     : 3.fc9
URL         : http://www.gtk.org
Summary     : A library of handy utility functions
Description :
GLib is the low-level core library that forms the basis
for projects such as GTK+ and GNOME. It provides data structure
handling for C, portability wrappers, and interfaces for such runtime
functionality as an event loop, threads, dynamic loading, and an
object system.

This package provides version 2 of GLib.

--------------------------------------------------------------------------------
Update Information:

This update fixes possible integer overflows in the base64 handling functions.
This has been reported in CVE-2008-4316.
--------------------------------------------------------------------------------
ChangeLog:

* Thu Mar 12 2009 Matthias Clasen <mclasen redhat com> - 2.16.6-3
- Fix integer overflows in the base64 handling functions. CVE-2008-4316
* Mon Oct 27 2008 Matthias Clasen <mclasen redhat com> - 2.16.6-2
- Use asm implementation for atomic ops on x86
* Fri Sep 12 2008 Matthias Clasen <mclasen redhat com> - 2.16.6-1
- Update to 2.16.6
* Sat Jul 19 2008 Matthias Clasen <mclasen redhat com> - 2.16.5-1
- Update to 2.16.5
* Tue Jul  1 2008 Matthias Clasen <mclasen redhat com> - 2.16.4-1
- Update to 2.16.4
* Mon Jun 16 2008 Matthias Clasen <mclasen redhat com> - 2.16.3-7
- Fix a directory ownership oversight (#449885)
* Mon Jun 16 2008 Matthias Clasen <mclasen redhat com> - 2.16.3-6
- Fix a race in class initialization that causes assertion 
  failures and crashes
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #474770 - CVE-2008-4316 glib2: integer overflows in the base64 handling functions (oCERT-2008-015)
        https://bugzilla.redhat.com/show_bug.cgi?id=474770
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update glib2' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on the
GPG keys used by the Fedora Project can be found at
http://fedoraproject.org/keys
--------------------------------------------------------------------------------


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]